[natty] Should register x-scheme-handler/apt handler for latest glib

Bug #698181 reported by Michael Terry on 2011-01-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apturl (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: apturl

In natty, we have glib 2.27.x which has a new method for determining mimetype and scheme associations. In order to register an app for a url scheme, you must now install a .desktop file that specifies the x-scheme-handler mimetype you want.

I've got a branch, will attach.

To test, do this before and after my branch: gnome-open apt:deja-dup

Related branches

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apturl - 0.4.2ubuntu4

---------------
apturl (0.4.2ubuntu4) natty; urgency=low

  * data/apturl.desktop:
    - Add a desktop file to register mime type. LP: #698181
 -- Michael Terry <email address hidden> Thu, 06 Jan 2011 11:48:26 -0500

Changed in apturl (Ubuntu):
status: New → Fix Released
Michael Vogt (mvo) on 2011-01-13
Changed in apturl (Ubuntu):
status: Fix Released → Fix Committed
Changed in apturl (Ubuntu):
importance: Undecided → Low
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers